curl --request POST \
--url https://api.chainstack.com/v2/projects/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My project",
"description": "My project description"
}
'{
"id": "PR-123-456-789",
"name": "My project",
"description": "My project description",
"type": "public",
"members": 0,
"networks": 0,
"creator": {
"id": "UR-111-111-111",
"email": "user@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
},
"created_at": "2023-01-01T00:00:00.000000Z"
}Create a new project using the Chainstack Platform API v2 to organize networks and nodes. Send a POST request to /v2/projects/ with the project payload.
curl --request POST \
--url https://api.chainstack.com/v2/projects/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My project",
"description": "My project description"
}
'{
"id": "PR-123-456-789",
"name": "My project",
"description": "My project description",
"type": "public",
"members": 0,
"networks": 0,
"creator": {
"id": "UR-111-111-111",
"email": "user@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
},
"created_at": "2023-01-01T00:00:00.000000Z"
}Documentation Index
Fetch the complete documentation index at: https://chainstack-mintlify-flesh-empty-pages.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Name of the project.
Description of the project.
Type of the project.
public for public chain projectpublic Number of members invited to the consortium project.
Only for the consortium project.
Number of networks created in the project.
Creator of the project.
Show child attributes
When the project was created.
Was this page helpful?